Hyperic HQ Plugin API v. 2.5.dev

## net.hyperic.hq.product
Interface RegistryServerDetector

public interface RegistryServerDetector

Method Summary
`java.util.List` `getRegistryScanKeys()` Get the list of registry keys to scan.
`java.util.List` `getServerResources(ConfigResponse platformConfig, java.lang.String path, net.hyperic.sigar.win32.RegistryKey current)` Performs all the actual server (and service) detection for servers detected through a WindowsRegistryScan.

Method Detail

### getServerResources

    public java.util.List getServerResources(ConfigResponse platformConfig,
                                             java.lang.String path,
                                             net.hyperic.sigar.win32.RegistryKey current)
                                      throws PluginException

  Performs all the actual server (and service) detection for servers detected through a WindowsRegistryScan.

  Parameters:
    `platformConfig` - TODO
    `path` - The full path to the Windows registry key
  Returns:
    A List of ServerResource objects representing the servers that were found in the registry entry. It is possible for multiple servers to be in a single entry, although it is unusual. If the registry entry being scanned is the CurrentControlSet, then only a single server can be found in the entry, although the AI code does not enforce this requirement. This method should return null if no servers were found.
  Throws:
    `PluginException` - If an error occured during server detection.

### getRegistryScanKeys

    public java.util.List getRegistryScanKeys()

  Get the list of registry keys to scan.

  Returns:
    A list of registry keys at which to start the scan.

Hyperic HQ Plugin API v. 2.5.dev

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.